Subject: [Rfced-future] Model proposal

From: "Martin Thomson" <[email-masked]>
Date: Tue, 07 Jul 2020 11:11:30 +1000

The following is an attempt to show a more fully-formed working based on some of the arguments I have presented recently.

https://datatracker.ietf.org/doc/html/draft-thomson-rfced-model-00

I know that several people asked "so you said X, but what does that look like?"  Hopefully, this has enough detail to make the concepts clear.

This is quite rough, I've almost certainly overlooked a few things, and much of this is very much tentative.  These aren't firmly held views either; I'm happy to discuss further.

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 7 Jul 2020 15:14:58 +1200

Martin,

Thanks for writing down your ideas. You won't be surprised that I disagree...

The basic problem is that this focuses rather narrowly on the RFC production process and short-changes the strategy issue. I do agree that we need to make it clear that this is a process that is contracted out by the LLC and that therefore oversight of contract performance belongs 100% to the LLC, which automatically eliminates much of what the RSOC has been doing. To the extent that the RSE was previously involved in contract monitoring, I think that should be eliminated too. I think there's also agreement that IT work such as the xml2rfcv3 migration should be overseen as an engineering project, not by the RSE** role.

(** I'm not sure that RSE is still the right job title, but I'll use it for convenience.)

However:

> Setting the policies that set targets for REP performance and more detailed requirements for operation of their functions has historically been delegated to the RSOC.

No. Historically it was delegated to the RSE. Before the RSOC existed, it was very clear this was a direct and complete delegation from the IAB, with the IAB's role limited, as I have quoted many times, to "approve the appointment of an organization to act as RFC Editor and the general policy followed by the RFC Editor." Since the RSOC was created, that BCP hasn't been updated, so the authority that the IAB delegated to the RSOC really was the same. Quoting RFC6635:

"The RSOC will act with authority delegated from the IAB: in general,
 it will be the RSOC that will approve consensus policy and vision
 documents as developed by the RSE in collaboration with the
 community."

So your proposal:

"Concretely, this proposes forming a RFC Series Evolution program of the IAB that uses the auspices of an IAB program, one that closely follows the model proposed in [RSEME]."

is a radical change that abolishes the Series Editor role and leaves this set of worries on the IAB's plate, but without having a senior professional with relevant knowledge and experience in charge of the community consultation. (We all agree on the need for organised community consultation, I think.)

The other aspect that's bothersome to me is that the net effect is *more* work for the IAB, rather than less. Surely as a community we should make it easier for the IAB to do its main job, which is the A bit of its name. So I think we should go in exactly the opposite direction: remove the RFC Editor entirely from the IAB's job description, create/enhance the community consultation mechanism, and again bring in someone with an appropriate skill set to lead that process and formulate strategy etc.

That would actually be substantially less than what the previous RSE was asked to do, because of what I think is common ground: that oversight of the RPC contracts and of any paid tools development properly belongs to the LLC. So it is mainly a strategy/policy role that possibly needs a new name.

Regards
   Brian Carpenter

---

From: "Martin Thomson" <[email-masked]>
Date: Tue, 07 Jul 2020 14:18:42 +1000

On Tue, Jul 7, 2020, at 13:14, Brian E Carpenter wrote:
> The basic problem is that this focuses rather narrowly on the RFC 
> production process and short-changes the strategy issue. 
...
> So your proposal [...] is a radical change that abolishes the Series Editor role and leaves 
> this set of worries on the IAB's plate, but without having a senior 
> professional with relevant knowledge and experience in charge of the 
> community consultation.

I think that this gets at the crux of the matter, so I'll address these together.

Yes, this proposes that we allocate fewer resources to the strategy function.  That is based on my experience with how much actual strategizing was performed in the time I followed this process as opposed to other things.

In my time on the IAB (and just preceding it), the bulk of time spent on "strategy" was spent on the v3 format, though there were other things like minting DOIs for RFCs.  These strategic items did not consume inordinate amounts of IAB or RSOC time then, even though the v3 format was a relatively intensive process at the level the work happened.  The IAB involvement was, as you might expect, executive level: we determined whether the process was functioning and approved the outcomes.  What dominated RSOC time was largely related to operations - or execution of strategy - reporting on document processing, monitoring costs and workload, discussion of tools development, and so forth.

I do recall several lengthy discussions about the number of authors on a document, but as these were recurrent and inconclusive, I am of the view that these are perfect for a working group to strategize on.

So I don't see this shifting more onto the IAB plate, either in terms of time spent or the extent of what we as a community might be asking of the IAB.  On the contrary, separation of operational duties from the strategic allows us to properly scale the resources we dedicate to each task.  As operational matters dominate, then finding a lightweight process for managing strategy is best.

Cheers,
Martin

---

From: Eric Rescorla <[email-masked]>
Date: Tue, 7 Jul 2020 10:04:01 -0700

On Mon, Jul 6, 2020 at 9:19 PM Martin Thomson <[email-masked]> wrote:

> I do recall several lengthy discussions about the number of authors on a
> document, but as these were recurrent and inconclusive, I am of the view
> that these are perfect for a working group to strategize on.
>

I'd like to focus in on this example for a moment, as it also consumed
a fair amount of IESG time, and I think it shows some of the
complexity here.

Authorship conventions vary fairly significantly even within
genres. For instance, in computer security alone, I am familiar
with at least three primary author ordering rules:

- Students first, ranked from most to least contribution, followed by
  professors (sometimes ranked loosely from least to most
  supervision/engagement). [a lot of Security]

- Students first, but loosely ranked by increasing need to find a job
  as well as contribution, then professors as above
  [Systems-influenced Security]

- Alphabetical [Crypto]

If you go outside computer science into broader paper publishing
you will also see the following (among others):

- Giant author lists [especitally particle physics [0]]

- Detailed taxonomies of what contributors/authors did
  [medicine [1]]

My point here is that authorship policies depend on what values the
community in question is trying to promote (recognizing people's
contributions, advancing their careers, precisely delimiting what
everyone has done, having a single point of contact, etc.). And when
we discussed these topics in the IESG, we discussed similar
considerations. Thus, while these discussions certainly do benefit
from understanding the perspectives of other communities deciding on
the right policies is more about community objectives than it is about
publishing expertise.  Indeed, it seems possible that we might develop
different policies for different streams depending on which objectives
are most important to those streams.

-Ekr

[0]
https://www.nature.com/news/physics-paper-sets-record-with-more-than-5-000-authors-1.17567

[1]
https://www.elsevier.com/authors/journal-authors/policies-and-ethics/credit-author-statement

---

From: "Joel M. Halpern" <[email-masked]>
Date: Tue, 7 Jul 2020 13:27:19 -0400

I understand that other communities handle authorship differently, and 
that we may (collectively) decide to handle it differently for the RFC 
series than we currently do.

However, if we few it as a single series (which we currently do, with 
subdivisions) we have taken the few that I think is appropriate that we 
want a single approach to general appearence, etc.  As such, having 
drastically different authorship policies for different sub-sets of RFCs 
would seem a drastic change.

Yours,
Joel

On 7/7/2020 1:04 PM, Eric Rescorla wrote:
> 
> 
> On Mon, Jul 6, 2020 at 9:19 PM Martin Thomson <[email-masked] 
> <mailto:[email-masked]>> wrote:
> 
>     I do recall several lengthy discussions about the number of authors
>     on a document, but as these were recurrent and inconclusive, I am of
>     the view that these are perfect for a working group to strategize on.
> 
>

---

From: Nico Williams <[email-masked]>
Date: Tue, 7 Jul 2020 12:49:32 -0500

On Tue, Jul 07, 2020 at 10:04:01AM -0700, Eric Rescorla wrote:
> [elided]

Brian's point was that this is too much work for the IAB, and not
Internet Architecture at that.  Martin's was that it was not too much
work, so it's OK to have the IAB provide oversight.  You say this took a
lot of the IESG's time.  So it sounds like you're with Brian?

FWIW, I like Martin's model, but I agree that if it would overload the
IAB then that part needs more thought.  At any rate, it seems there's no
disagreement about the LLC being in charge of contractual and funding
issues, so the only real point of disagreement -at least between Brian
and Martin- is to do with oversight and delegation by the IAB.

Nico
--

---

From: Christian Huitema <[email-masked]>
Date: Tue, 7 Jul 2020 10:51:03 -0700

On 7/7/2020 10:27 AM, Joel M. Halpern wrote:

> subdivisions) we have taken the few that I think is appropriate that
> we want a single approach to general appearence, etc.  As such, having
> drastically different authorship policies for different sub-sets of
> RFCs would seem a drastic change.

I think Joel has a point here. Yes, the IETF is only one of several
streams, but the RFC series is in practice one of the "brands" of the
IETF. Having widely different practices in different streams would
weaken that brand, and contribute to a lesser impact of IETF standards.
I would advocate some caution there.

-- Christian Huitema

---

From: Eric Rescorla <[email-masked]>
Date: Tue, 7 Jul 2020 11:02:24 -0700

> I would advocate some caution there.

Well, I'm not advocating recklessness...

In any case, it seems like the most plausible change would be different
overall author limits, in which case the primary thing that would be needed
out of the RFC Series itself would be to not have large numbers of authors
look silly, and then some streams could choose to have lower author limits.
This isn't an especially hard formatting problem: you don't put line breaks
between the authors names and when there are a lot of duplicate
affiliations you use symbolic markers next to the authors.

-Ekr

---

From: Eric Rescorla <[email-masked]>
Date: Tue, 7 Jul 2020 11:03:46 -0700

> lot of the IESG's time.  So it sounds like you're with Brian?

Sorry, I should have been more clear. I think this is a proper subject for
IESG and IAB consideration, made somewhat more difficult by anchoring on a
historical five author limit that had (at least to me) a fairly unclear
rationale.

-Ekr

---

From: Adam Roach <[email-masked]>
Date: Tue, 7 Jul 2020 16:25:45 -0500

On 7/6/2020 11:18 PM, Martin Thomson wrote:
> separation of operational duties from the strategic allows us to properly scale the resources we dedicate to each task.  As operational matters dominate, then finding a lightweight process for managing strategy is best.

While we're on that topic: a huge portion of what makes the search for a 
single human to fill the currently-defined RSE role so incredibly 
difficult is the constraint of finding a unicorn who can do both 
operational and strategic tasks competently. The skill overlap between 
"library scientist" and "project manager" is pretty small, and we would 
have an infinitely easier time finding one of each rather than searching 
the earth for the extraordinarily rare people who can do both.

I think we need to design a model that explicitly separates these two 
different tasks to multiple responsible parties.

/a

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 8 Jul 2020 09:45:34 +1200

On 08-Jul-20 06:03, Eric Rescorla wrote:
> 
> 
> On Tue, Jul 7, 2020 at 10:49 AM Nico Williams <[email-masked] <mailto:[email-masked]>> wrote:
> 
>     > On Mon, Jul 6, 2020 at 9:19 PM Martin Thomson <[email-masked] <mailto:[email-masked]>> wrote:
> Sorry, I should have been more clear. I think this is a proper subject for IESG and IAB consideration, made somewhat more difficult by anchoring on a historical five author limit that had (at least to me) a fairly unclear rationale.

Absolutely I think that community discussion and rough consensus is appropriate for this and other strategy or policy issues. My concern is that this needs to be facilitated and informed by someone with relevant knowledge and experience in the editing/publishing/library/archival world and that is not us. It's certainly not a skill set that the NomCom typically looks for when picking IESG or IAB nominees. It's a skill set that we did look for when appointing the previous RSE.

   Brian

---

From: Eric Rescorla <[email-masked]>
Date: Tue, 7 Jul 2020 15:18:38 -0700

On Tue, Jul 7, 2020 at 3:11 PM Brian E Carpenter <
[email-masked]> wrote:

> > Sorry, I should have been more clear. I think this is a proper subject
> for IESG and IAB consideration, made somewhat more difficult by anchoring
> on a historical five author limit that had (at least to me) a fairly
> unclear rationale.
>
> Absolutely I think that community discussion and rough consensus is
> appropriate for this and other strategy or policy issues. My concern is
> that this needs to be facilitated and informed by someone with relevant
> knowledge and experience in the editing/publishing/library/archival world
> and that is not us.

Stipulating for the moment that this is true, I don't really see how you
get from there to "and this person needs to be in charge of the process".
To give an example that I think I also gave on the most recent virtual
call, we often have to do things that require a bunch of relevant expertise
in the legal world, and that's not us, but address that problem by engaging
a lawyer and asking their opinion. Why doesn't that work here?

-Ekr

---

From: Nico Williams <[email-masked]>
Date: Tue, 7 Jul 2020 17:28:04 -0500

On Wed, Jul 08, 2020 at 09:45:34AM +1200, Brian E Carpenter wrote:
> appropriate for this and other strategy or policy issues. My concern
> is that this needs to be facilitated and informed by someone with
> relevant knowledge and experience in the editing/publishing/library/
> archival world and that is not us. It's certainly not a skill set that
> the NomCom typically looks for when picking IESG or IAB nominees. It's
> a skill set that we did look for when appointing the previous RSE.

The IESG and IAB need, above all, decision-making skills and mastery and
respect of process.  They have at their disposal, too, a great deal of
collective expertise from the community, shepherds, directorates, and
RSE, so they don't necessarily need to be experts in any one area in
order to make decisions in that area.  Moreover, IAB and IESG members
tend to have been through the RFC publication gauntlet, so they almost
necessarily have at least a modicum of publication expertise of their
own.

If there's no question that some issues must consume some of their
attention, then I'm not sure that the IAB performing RSE oversight is a
problem.

---

From: Stephen Farrell <[email-masked]>
Date: Tue, 7 Jul 2020 23:54:58 +0100

Hiya,

> a lawyer and asking their opinion. Why doesn't that work here?

I think one difference is that legal advice tends to
be specific to a question-posed, whereas the RSE role
is perceived (by some but not all in the community as
seems clear) to be setting strategy for a 50 year old
institution (or something like that).

Those actually do seem quite different to me.

Cheers,
S.

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 8 Jul 2020 10:55:14 +1200

> attention, then I'm not sure that the IAB performing RSE oversight is a

Sadly, I think we did get a demonstration that it can be a problem
last year. However, since we largely seem to agree that separating
out the IT and contract management aspects is the right way to go,
we are transforming the issue quite a bit.

All the same, I believe the actual evidence is that we (engineers)
don't understand the editing/publishing/library/archival world at
all well and we need help.

On 08-Jul-20 10:18, Eric Rescorla wrote:

> Stipulating for the moment that this is true, I don't really see how you get from there to "and this person needs to be in charge of the process". To give an example that I think I also gave on the most recent virtual call, we often have to do things that require a bunch of relevant expertise in the legal world, and that's not us, but address that problem by engaging a lawyer and asking their opinion. Why doesn't that work here?

It might, if we set it up right. I think this is worth exploring.

    Brian

---

From: "Joel M. Halpern" <[email-masked]>
Date: Tue, 7 Jul 2020 19:14:13 -0400

We keep a lawyer on retainer.
So the difference becomes that we are looking for someone who will be
- more engaged in understanding and helping direct the community (the 
lawyers explicit do not direct)
- have more ongoing activities, although quite possibly less than heretofore

Sounds like you are actually arguing for a senior, respected, 
contractor.  With a long term relationship.

Yours,
Joel

On 7/7/2020 6:18 PM, Eric Rescorla wrote:
> 
> 
> On Tue, Jul 7, 2020 at 3:11 PM Brian E Carpenter 
> <[email-masked] <mailto:[email-masked]>> wrote:
> 
>      > Sorry, I should have been more clear. I think this is a proper
>     subject for IESG and IAB consideration, made somewhat more difficult
>     by anchoring on a historical five author limit that had (at least to
>     me) a fairly unclear rationale.
> 
>     relevant knowledge and experience in the
>     editing/publishing/library/archival world and that is not us.
> 
> 
> get from there to "and this person needs to be in charge of the 
> process". To give an example that I think I also gave on the most recent 
> virtual call, we often have to do things that require a bunch of 
> relevant expertise in the legal world, and that's not us, but address 
> that problem by engaging a lawyer and asking their opinion. Why doesn't 
> that work here?
> 
> -Ekr
> 
> 
> 
> 
> 
> 
>

---

From: Eric Rescorla <[email-masked]>
Date: Tue, 7 Jul 2020 16:37:13 -0700

> - have more ongoing activities, although quite possibly less than

Well, I'm not sure about the "we" here, as I'm arguing that we should not
in fact be looking for this.

Rather, I am arguing that the community should drive strategy (potentially
with some structure like Martin proposed) and that to the extent to which
we need someone with specific expertise in the areas Brian has flagged, we
should hire someone to advise us, in much the same way we do for legal
advice.

-Ekr

---

From: Larry Masinter <[email-masked]>
Date: Tue, 7 Jul 2020 17:03:09 -0700

... My concern is that
> this needs to be facilitated and informed by someone with relevant
> and that is not us

You keep on making this assertion that the skills of editing, publishing, archival world "is not us".  I think being versed in the engineering considerations of those properties SHOULD be "us".

The reason we have an archival series of specifications is not that we want to build a memorial Ozymandias altar to our golden words, but because these are the archival records of how things worked. It's a serious problem when buildings and bridges last longer than the documents that describe them.   How else can you make all of these paper-based archival solutions into all electronic worlds?

But all of this is an engineering problem, within the range of what I'd expect an engineer to deal with.

We're spending a lot of time engineering a person-to-person protocol. The unique parts of IETF is that we treat person-to-person protocols at layer 7.5 with checks and balances, without any work on writing down the Security Considerations.

---

From: "Joel M. Halpern" <[email-masked]>
Date: Tue, 7 Jul 2020 20:06:41 -0400

I guess I have two differences with your description.

One aspect is that we actually hire the lawyer(s) on a long term basis. 
We do not hire them "when we need advice".

The other is that in the area of direction for the RFC Series, I think 
that we need the expertise in helping us ask the right questions on an 
ongoing basis, not just answering questions when needed.

Yours,
Joel

On 7/7/2020 7:37 PM, Eric Rescorla wrote:
> 
> 
> On Tue, Jul 7, 2020 at 4:14 PM Joel M. Halpern <[email-masked] 
> <mailto:[email-masked]>> wrote:
> 
> Well, I'm not sure about the "we" here, as I'm arguing that we should 
> not in fact be looking for this.
> 
> Rather, I am arguing that the community should drive strategy 
> (potentially with some structure like Martin proposed) and that to the 
> extent to which we need someone with specific expertise in the areas 
> Brian has flagged, we should hire someone to advise us, in much the same 
> way we do for legal advice.
> 
> -Ekr
> 
>      > <[email-masked] <mailto:[email-masked]>
>     <mailto:[email-masked]
>     <mailto:[email-masked]>>> wrote:
>      >
>      >      > Sorry, I should have been more clear. I think this is a proper

---

From: Nico Williams <[email-masked]>
Date: Tue, 7 Jul 2020 19:40:38 -0500

> all well and we need help.

I think we understand the RFC publishing issues fairly well -- well
enough to deal with the RFC publication process.  It would be strange if
we didn't!  Now, maybe we need to move into the 21st century of
publishing, but maybe not, and at any rate, we should evolve our
publication process rather than revolutionize it.  I.e., to me it sounds
like much ado about not much, which isn't to say that we didn't have a
spectacular failure a year ago, but it wasn't a failure to understand
the world of publication.

Nico
--

---

From: Nico Williams <[email-masked]>
Date: Tue, 7 Jul 2020 19:43:50 -0500

> We keep a lawyer on retainer.

That doesn't absolve us of having to have some understanding of legal
issues.  It happens a lot that lawyers make business decisions by
default when business people fail to pushback due to lack of knowledge.

Publication is not like law.  There's no bar for editors or publishers.

---

From: Eric Rescorla <[email-masked]>
Date: Tue, 7 Jul 2020 19:27:35 -0700

> I guess I have two differences with your description.

We may be able to chalk this up to bad writing on my part.

> We do not hire them "when we need advice".

Agreed. I think that if we have an expert that requires regular deep
engagement with us, we should retain them on a long term basis.

> ongoing basis, not just answering questions when needed.

I think I agree with this as well. When I was a consultant and when I've
hired consultants, often what we've wanted is precisely this kind of
outside strategy perspective.

-Ekr

---

From: "Joel M. Halpern" <[email-masked]>
Date: Tue, 7 Jul 2020 22:34:05 -0400

Thank you for clarifying Eric.  Maybe our differences are more in the 
words we use to describe things, rather than the substance.

Yours,
Joel

On 7/7/2020 10:27 PM, Eric Rescorla wrote:
> 
> 
> On Tue, Jul 7, 2020 at 5:06 PM Joel M. Halpern <[email-masked] 
>      > On Tue, Jul 7, 2020 at 4:14 PM Joel M. Halpern
>     <[email-masked] <mailto:[email-masked]>
>      > <mailto:[email-masked] <mailto:[email-masked]>>> wrote:
>      >
>      >      >
>      >      >
>      >      > On Tue, Jul 7, 2020 at 3:11 PM Brian E Carpenter
>      >      > <[email-masked]
>     <mailto:[email-masked]>
>     <mailto:[email-masked]>>
>     <mailto:[email-masked]>
>     <mailto:[email-masked]>>>> wrote:
>      >      >
>      >      >      > Sorry, I should have been more clear. I think this
>     is a proper
>      >      >     subject for IESG and IAB consideration, made somewhat more
>      >     difficult
>      >      >     by anchoring on a historical five author limit that
>     had (at
>      >     least to
>      >      >     me) a fairly unclear rationale.
>      >      >
>      >      >     Absolutely I think that community discussion and rough
>      >     consensus is
>      >      >     appropriate for this and other strategy or policy
>     issues. My
>      >     concern
>      >      >     is that this needs to be facilitated and informed by
>     someone with
>      >      >     relevant knowledge and experience in the
>      >      >     editing/publishing/library/archival world and that is
>     not us.
>      >      >
>      >      >
>      >      > Stipulating for the moment that this is true, I don't
>     really see
>      >     how you
>      >      > get from there to "and this person needs to be in charge
>     of the
>      >      > process". To give an example that I think I also gave on
>     the most
>      >     recent
>      >      > virtual call, we often have to do things that require a
>     bunch of
>      >      > relevant expertise in the legal world, and that's not us, but
>      >     address
>      >      > that problem by engaging a lawyer and asking their
>     opinion. Why
>      >     doesn't
>      >      > that work here?
>      >      >
>      >      > -Ekr
>      >      >
>      >      >
>      >      >
>      >      >
>      >      >
>      >      >
>      >      >
>      >
>

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 8 Jul 2020 16:04:09 +1200

> You keep on making this assertion that the skills of editing, publishing, archival world "is not us".  I think being versed in the engineering considerations of those properties SHOULD be "us".

Possibly, but the fact is that I learnt a lot more about those things from the only RSE with those skills than I did from any of her predecessors back to Jon Postel. So I am not making this up or theorising; I'm saying this is my lived experience. Heather knew stuff that none of {Jon, Joyce, Bob, Glenn, Olaf} knew.

I've worked with physicists and software engineers all my life, and we tend to be pretty arrogant about our ability to take strategic decisions in areas we know little of.

> The reason we have an archival series of specifications is not that we want to build a memorial Ozymandias altar to our golden words, but because these are the archival records of how things worked…

Indeed. Another whole area of specialization that Heather knew a lot about. No, she didn't know a whole lot about protocol engineering.

> But all of this is an engineering problem, within the range of what I'd expect an engineer to deal with.

Well, it's a full time specialization as far as I can tell from a quick look at IEEE Xplore and the ACM Digital Library. Not something we can do during coffee breaks from protocol design.

So do we need an expert consultant? Yes. Do we have to stick rigidly to the traditional RSE model? No.

Regards
     Brian

---

From: S Moonesamy <[email-masked]>
Date: Wed, 08 Jul 2020 00:44:49 -0700

Hello,
At 03:18 PM 07-07-2020, Eric Rescorla wrote:
><<mailto:[email-masked]>[email-masked]> wrote:
> subject for IESG and IAB consideration, made somewhat more 
> difficult by anchoring on a historical five author limit that had 
> (at least to me) a fairly unclear rationale.
>
>Stipulating for the moment that this is true, I don't really see how 
>you get from there to "and this person needs to be in charge of the 
>process". To give an example that I think I also gave on the most 
>recent virtual call, we often have to do things that require a bunch 
>of relevant expertise in the legal world, and that's not us, but 
>address that problem by engaging a lawyer and asking their opinion. 
>Why doesn't that work here?

Please see 
https://mailarchive.ietf.org/arch/msg/ietf/4OVr3l89fY0xq2ay-Khyhne-0Zc/ 
In my opinion, it would not be appropriate to blame the legal side as 
it is the general advice which a person would usually get from a lawyer.

Every now and then the word "community" is used.  If I go by past 
events, it would mean about the hundred persons who attended the 
meetings during which the RFC Series was discussed.  The audience for 
the RFC Series is likely larger than that.  I don't believe that the 
audience would show much interest in strategy or policy matters; that 
does not mean that the audience should be ignored.

It is better to have a person with the relevant expertise to work on, 
for example, an issue such as the historical five author limit, and 
devise a policy if one is needed.  There may be reasons for the 
matter to be handled by someone else, e.g. each Stream wishes to have 
its own policy on that.

A person with a background in archiving or publishing will have a 
wider breath of knowledge as he/she spends time on doing that type of 
work.  The RFC Series could benefit from that.

Regards,
S. Moonesamy

---

From: Martin J. Dürst <[email-masked]>
Date: Wed, 8 Jul 2020 17:21:19 +0900

> It might, if we set it up right. I think this is worth exploring.

I think one difference we have to be aware of is that on the one hand, 
while engineers tend to pose as armchair lawyers, they are pretty aware 
individually and collectively that they have to be careful in this area, 
while on the other hand, for areas such as publishing,..., the bar is 
much lower. Everybody on the IAB and the IESG will have authored an RFC 
or three, and therefore may think they understand the whole business.

Another point: Moving out the IT work looks fine at first sight, but we 
have to be careful because e.g. for the v3 work, that required (and will 
continue to require, for some time) careful coordination between policy 
(such as the number of authors) and implementation.

Regards,   Martin.

---

From: Mirja Kuehlewind <[email-masked]>
Date: Wed, 8 Jul 2020 11:43:13 +0200

+1 on separating these role.

I think the other question however still is who is responsible for strategy decisions. I believe that I heart quite often now that the answer to this question is: the community. So we really “just” need a process to define community consensus and I think the model Martin proposed is a good starting point given it’s aligned to the model we use for judging consensus in other strategic areas as well; with the addition of having an expert advisor that can be consulted during the process (as discussed by Ekr and Joel).

> On 7. Jul 2020, at 23:25, Adam Roach <[email-masked]> wrote:
> 
> While we're on that topic: a huge portion of what makes the search for a single human to fill the currently-defined RSE role so incredibly difficult is the constraint of finding a unicorn who can do both operational and strategic tasks competently. The skill overlap between "library scientist" and "project manager" is pretty small, and we would have an infinitely easier time finding one of each rather than searching the earth for the extraordinarily rare people who can do both.
> 
> I think we need to design a model that explicitly separates these two different tasks to multiple responsible parties.
> 
> /a
> 
> -- 
> Rfced-future mailing list
> [email-masked]
> https://www.iab.org/mailman/listinfo/rfced-future
>

---

From: Nico Williams <[email-masked]>
Date: Wed, 8 Jul 2020 10:10:35 -0500

On Wed, Jul 08, 2020 at 12:44:49AM -0700, S Moonesamy wrote:
> It is better to have a person with the relevant expertise to work on, for
> example, an issue such as the historical five author limit, and devise a
> policy if one is needed.  There may be reasons for the matter to be handled
> by someone else, e.g. each Stream wishes to have its own policy on that.

Disagree.  The variation in policies as to number of authors in
different groups outside the IETF is large enough that expertise in the
matter seems irrelevant.  We have (well, had) to set a policy
appropriate for us, and that requires expertise only in our own
communities.

---

From: Russ Housley <[email-masked]>
Date: Fri, 10 Jul 2020 10:14:29 -0400

Martin proposed:

> Concretely, this proposes forming a RFC Series Evolution program of the IAB that uses the auspices of an IAB program, one that closely follows the model proposed in [RSEME <https://martinthomson.github.io/rfced-model/draft-thomson-rfced-model.html#RSEME>]. This results in a group that follows [WG <https://martinthomson.github.io/rfced-model/draft-thomson-rfced-model.html#WG>] procedures, with the exception that the functions performed by the IESG are instead performed by the IAB. In particular, selection of chairs and appeals regarding the execution of the process are directed to the IAB to resolve.

In an IETF WG, the appeals chain is:

   WG Chair --> Area Director --> IESG --> IAB --> ISOC Board

I think this proposal is saying that for this activity, it is:

   Program Chair --> IAB --> ISOC Board

Is every decision appealed to the IAB possible to escalate to the  ISOC Board?  Usually, disputes can only be escelated to the ISOC Board that claim that Internet standards procedures were not followed.  However, the appeals chain is quite short here, and ir is unclear to me that the Internet standards procedures applies to IAB programs.

Russ

---

From: "Scott O. Bradner" <[email-masked]>
Date: Fri, 10 Jul 2020 11:29:46 -0400

this is not correct

under 2026 the only thing that can be appealed to the ISOC Board is a claim that the procedures as written are incorrect (e.g. unfair)

Scott

> On Jul 10, 2020, at 10:14 AM, Russ Housley <[email-masked]> wrote:
> 
> Martin proposed:
> 
>> Concretely, this proposes forming a RFC Series Evolution program of the IAB that uses the auspices of an IAB program, one that closely follows the model proposed in [RSEME]. This results in a group that follows [WG] procedures, with the exception that the functions performed by the IESG are instead performed by the IAB. In particular, selection of chairs and appeals regarding the execution of the process are directed to the IAB to resolve.
>

---

From: "Scott O. Bradner" <[email-masked]>
Date: Fri, 10 Jul 2020 11:32:02 -0400

from 2026

6.5.3 Questions of Applicable Procedure

   Further recourse is available only in cases in which the procedures
   themselves (i.e., the procedures described in this document) are
   claimed to be inadequate or insufficient to the protection of the
   rights of all parties in a fair and open Internet Standards Process.
   Claims on this basis may be made to the Internet Society Board of
   Trustees.  The President of the Internet Society shall acknowledge
   such an appeal within two weeks, and shall at the time of
   acknowledgment advise the petitioner of the expected duration of the
   Trustees' review of the appeal.  The Trustees shall review the
   situation in a manner of its own choosing and report to the IETF on
   the outcome of its review.

   The Trustees' decision upon completion of their review shall be final
   with respect to all aspects of the dispute.

> On Jul 10, 2020, at 11:29 AM, Scott O. Bradner <[email-masked]> wrote:
> 
> this is not correct
>

---

From: Russ Housley <[email-masked]>
Date: Fri, 10 Jul 2020 12:09:04 -0400

Scott:

I stand corrected.  I mis-read the last sentence of Section 6.5.2.

All:

The overall point remains, does RFC 2026 apply here? If not, the the only appeal body would seem to be the IAB.

Russ

> On Jul 10, 2020, at 11:32 AM, Scott O. Bradner <[email-masked]> wrote:
> 
> from 2026
>

---

From: Eliot Lear <[email-masked]>
Date: Fri, 10 Jul 2020 18:12:39 +0200

Does 2026 apply?

> On 10 Jul 2020, at 17:29, Scott O. Bradner <[email-masked]> wrote:
> 
> this is not correct
>

---

From: Christian Huitema <[email-masked]>
Date: Fri, 10 Jul 2020 10:36:29 -0700

> The overall point remains, does RFC 2026 apply here? If not, the the only appeal body would seem to be the IAB.

2026 is written for "the standardization of protocols and procedures".
You can take that as a narrow statement, and it would just apply to
those documents that specify protocols for the Internet, or the
procedures that are used to select them. Or you can take that as a wider
meaning, and consider that the processes for publishing RFC definitely
affect the procedures for publishing and standardizing protocols, in
which case, yes, RFC 2026 applies. In any case, the general consensus is
that we don't believe in kings, and that if some body has power, then we
want some balancing mechanism. In the case of the IAB, the generic
balancing mechanism would be an appeal to the ISOC board. Unless you
think that raising loud complaints on mailing lists and open mikes is a
proper substitute for process.

-- Christian Huitema

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 11 Jul 2020 08:57:57 +1200

Russ,

> The overall point remains, does RFC 2026 apply here? If not, the the only appeal body would seem to be the IAB.

It will be what we define it to be at the end of this discussion. Please remember that I for one believe that we should probably take this responsibility away from the IAB completely. I can't see any reason except history for an "Architecture" committee to be in charge of a publishing service.

I'd certainly be inclined to put the ISOC Board at the end of any appeal chain, but it's a new thing, not part of the IETF standards process.

Regards
    Brian

---

From: "Martin Thomson" <[email-masked]>
Date: Mon, 13 Jul 2020 09:16:34 +1000

On Sat, Jul 11, 2020, at 06:57, Brian E Carpenter wrote:
> It will be what we define it to be at the end of this discussion. 

Yes.

FWIW, Russ' characterization missed program leads.  But talking to chairs and any AD/lead, while codified in 2026, happens before the truly formal part of the process.  It's an important piece for a couple of reasons, so I will amend the proposal to recognize that.

The structure of the appeals chain is informal (chair, AD), formal (IESG), in event of process failure (IAB), in event of the process itself being wrong (ISOC Board).  The structure I proposed covered the formal piece, but neglected the informal piece and did not provide safeguards for the process pieces, mostly because I hadn't thought the whole thing through.

I stand by the formal piece.  My logic is that we should not create a new body for this process.  Of the bodies we have, the IAB is most suitable.

I haven't any firm stance on what to do about a process backstop for the IAB.

> I'd certainly be inclined to put the ISOC Board at the end of any 
> appeal chain, but it's a new thing, not part of the IETF standards 
> process.

I'd be reluctant to ask the ISOC Board to participate in this process any more than they would in the IETF.  Keeping their involvement to arbitration of disputes over the process itself seems appropriate.

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 13 Jul 2020 17:52:08 +1200

> I stand by the formal piece.  My logic is that we should not create a new body for this process.  Of the bodies we have, the IAB is most suitable.

Yes. The alternative is a new body. As I've said repeatedly since about 1995, I'd like to see the IAB freed up to do nothing but things related to Architecture. I count IANA and liaisons as part of that, but not running a publishing service.

> I'd be reluctant to ask the ISOC Board to participate in this process any more than they would in the IETF.  Keeping their involvement to arbitration of disputes over the process itself seems appro…

I completely agree. On the other hand, it wouldn't surprise me to discover that the ISOC Board has a strong interest in the success of the RFC series.

    Brian

---

From: Nico Williams <[email-masked]>
Date: Mon, 13 Jul 2020 02:24:15 -0500

On Mon, Jul 13, 2020 at 05:52:08PM +1200, Brian E Carpenter wrote:
> > I stand by the formal piece.  My logic is that we should not create
> > a new body for this process.  Of the bodies we have, the IAB is most
> > suitable.
> 
> Yes. The alternative is a new body. As I've said repeatedly since
> about 1995, I'd like to see the IAB freed up to do nothing but things
> related to Architecture. I count IANA and liaisons as part of that,
> but not running a publishing service.

We almost certainly don't need a new body for this -- is there even
enough work for it?  We weren't happy with the RSOC...  I do, though,
understand and sympathize with the desire to free up the IAB to work
only on architecture -- I just don't see how to shift this
responsibility elsewhere.

Nico
--

---

From: Eliot Lear <[email-masked]>
Date: Mon, 13 Jul 2020 11:07:34 +0200

When discussing appeals chains, it is probably worth asking a few questions to be sure we have this right:

What can be appealed?
What remedies are permitted in the appeal at what level?
What are the interests in potential appellate bodies that might conflict?
Would a potential appellate body agree to extend its remit to cover such service?
Does the potential appellate body have the necessary authority to institute a remedy?

In particular, I would suggest that all of this be considered in light of the existence of the LLC and its board and their fiduciary responsibilities.  I’m not suggesting a particular answer here, but merely a line of questions that we should be comfortable answering.

Eliot

> On 10 Jul 2020, at 22:57, Brian E Carpenter <[email-masked]> wrote:
> 
> 
> Russ,
>

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 14 Jul 2020 12:27:42 +1200

On 13-Jul-20 21:07, Eliot Lear wrote:
>   * What can be appealed?
>   * What remedies are permitted in the appeal at what level?
>   * What are the interests in potential appellate bodies that might conflict?
>   * Would a potential appellate body agree to extend its remit to cover such service?
>   * Does the potential appellate body have the necessary authority to institute a remedy?
> 
> 

Certainly, as long as the contracts are held and administered by the LLC, dispute resolution relevant to the contracts must involve the LLC. I was thinking more of potential disputes about the strategy/policy process.

   Brian

> 
> Eliot
> 
>> On 10 Jul 2020, at 22:57, Brian E Carpenter <[email-masked] <mailto:[email-masked]>> wrote:
>>
>>
>> Russ,
>>
>>>> On Jul 10, 2020, at 11:32 AM, Scott O. Bradner <[email-masked] <mailto:[email-masked]>> wrote:
>>>>
>>>> from 2026
>>>>
>>>>> On Jul 10, 2020, at 11:29 AM, Scott O. Bradner <[email-masked] <mailto:[email-masked]>> wrote:
>>>>>
>>>>> this is not correct
>>>>>
>>>>>> On Jul 10, 2020, at 10:14 AM, Russ Housley <[email-masked] <mailto:[email-masked]>> wrote:
>>>>>>
>>>>>> Martin proposed:
>>>>>>
>>>>>> [email-masked] <mailto:[email-masked]>
>>>>> [email-masked] <mailto:[email-masked]>
>> [email-masked] <mailto:[email-masked]>

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 14 Jul 2020 12:39:27 +1200

> responsibility elsewhere.

There are various options that come to mind, but they all amount to a new committee or Board that answers to a wider community than the IAB does. For example:
(a) an RFC Series Strategy Committee nominated by the 4 RFC streams by their own processes, or
(b) an RFC Series Strategy Committee nominated by its own free-standing open nomination process.

And then:
(x) this Committee is constituted and hosted by ISOC, or
(y) this Committee is hosted by a stand-alone RFC Foundation or RFC Trust.

I'm sure there are other options. Once we move contractual oversight explicitly to the LLC, we have a lot of flexibility for the strategy/policy stuff.

Regards,
     Brian